Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.javascript.rhino
[Java] Class RhinoExtension

    java.lang.Object
      org.gradle.plugins.javascript.rhino.RhinoExtension

    public class RhinoExtension

Field Summary
`static String` | `CLASSPATH_CONFIGURATION_NAME`
`static String` | `DEFAULT_RHINO_DEPENDENCY_GROUP`
`static String` | `DEFAULT_RHINO_DEPENDENCY_MODULE`
`static String` | `DEFAULT_RHINO_DEPENDENCY_VERSION`
`static String` | `NAME`
`static String` | `RHINO_SHELL_MAIN`

Method Summary
`void` | `configureJavaExec(JavaExecSpec spec)`
`FileCollection` | `getClasspath()`
`String` | `getVersion()`
`void` | `setClasspath(FileCollection rhinoClasspath)`
`void` | `setVersion(String version)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### CLASSPATH_CONFIGURATION_NAME

    public static final String CLASSPATH_CONFIGURATION_NAME

### DEFAULT_RHINO_DEPENDENCY_GROUP

    public static final String DEFAULT_RHINO_DEPENDENCY_GROUP

### DEFAULT_RHINO_DEPENDENCY_MODULE

    public static final String DEFAULT_RHINO_DEPENDENCY_MODULE

### DEFAULT_RHINO_DEPENDENCY_VERSION

    public static final String DEFAULT_RHINO_DEPENDENCY_VERSION

### NAME

    public static final String NAME

### RHINO_SHELL_MAIN

    public static final String RHINO_SHELL_MAIN

Method Detail

### configureJavaExec

    public void configureJavaExec(JavaExecSpec spec)

### getClasspath

    public FileCollection getClasspath()

### getVersion

    public String getVersion()

### setClasspath

    public void setClasspath(FileCollection rhinoClasspath)

### setVersion

    public void setVersion(String version)

Gradle API 1.10